Create a transfer
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"provider": "<string>",
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"amount": 2
},
"destination": {
"provider": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"chain": "<string>"
}
},
"provider": "<string>",
"metadata": {}
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/transfer"
payload = {
"source": {
"provider": "<string>",
"currency": "<string>",
"customer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"amount": 2
},
"destination": {
"provider": "<string>",
"customer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"payment_method": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"chain": "<string>"
}
},
"provider": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
provider: '<string>',
currency: '<string>',
customer: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
amount: 2
},
destination: {
provider: '<string>',
customer: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
payment_method: {
type: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
currency: '<string>',
chain: '<string>'
}
},
provider: '<string>',
metadata: {}
})
};
fetch('https://payments.oaknetwork.org/api/v1/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"provider": "<string>",
"source": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"destination": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"settlement_date": "2023-11-07T05:31:56Z"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Unauthorized",
"data": null
}{
"msg": "Forbidden",
"data": null
}{
"msg": "Resource not found",
"data": null
}{
"msg": "Validation error message",
"data": null
}Transfers
Create a transfer
Initiate a transfer between accounts. Supports single-provider and inter-platform transfers. Fields provider, currency, payment_method.type are case-insensitive.
POST
/
api
/
v1
/
transfer
Create a transfer
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
⌘I